Summary: PXE Net Boot Server
Name: pxe
Version: 0.1
Release: 9
Copyright: BSD
Group: System Environment/Daemons
Source0: pxe-linux.tar.gz
Source1: pxe.init
Source2: pxe-README
Patch:   pxe-linux-config.patch
Patch1:	 pxe-1.0-cmdlinearg.patch
Buildroot: /var/tmp/%{name}-root/
ExclusiveArch: i386

%description
This package is the server and code bits required to allow Linux to be
booted via a Linux Preboot Execution Environment (PXE) server (also 
included).

%prep
%setup -q -n pxe-linux
%patch -p1 -b .djb
%patch1 -p1 -b .oot

%build
cp ${RPM_SOURCE_DIR}/pxe-README README
make -C nbp.linux
make -C server

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
make PREFIX=${RPM_BUILD_ROOT} install -C nbp.linux
make PREFIX=${RPM_BUILD_ROOT} install -C server
install -m 755 ${RPM_SOURCE_DIR}/pxe.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/pxe

%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
/sbin/ldconfig
/sbin/chkconfig --add pxe


%preun
if [ "$1" = 0 ] ; then
  /sbin/chkconfig --del pxe
fi

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README

%dir /tftpboot/X86PC/UNDI/linux-install
%dir /tftpboot/X86PC/UNDI/BStrap
/tftpboot/X86PC/UNDI/linux-install/linux.0
/tftpboot/X86PC/UNDI/BStrap/bstrap.0

/usr/lib/libpxelib.so.1.0
/usr/lib/libpxelib.so
/usr/lib/libApiTestOpts.so.1.0
/usr/lib/libApiTestOpts.so
/usr/lib/libBstrapOpts.so.1.0
/usr/lib/libBstrapOpts.so
/usr/lib/libpxeTester.so.1.0
/usr/lib/libpxeTester.so
/usr/lib/libpxeParser.so.1.0
/usr/lib/libpxeParser.so

/usr/sbin/in.mtftpd
%config /etc/mtftpd.conf

%config /etc/rc.d/init.d/pxe
/usr/sbin/pxe
%config /etc/pxe.conf


%changelog
* Sun Sep 26 1999 Erik Troan <ewt@redhat.com>
- added patch for command line args

* Fri Sep 24 1999 Donnie Barnes <djb@redhat.com>
- updated sources from Intel
- updated README from Intel (they didn't like my meager attempt.  Hmmph.)
- removed my patch as they included what appears to be all of it

* Thu Sep 23 1999 Donnie Barnes <djb@redhat.com>
- added README's

* Thu Sep 23 1999 Cristian Gafton <gafton@redhat.com>
- minor cleanups

* Wed Sep 22 1999 Donnie Barnes <djb@redhat.com>
- initial packaging
